## postgresql-9.4 9.4.5

=== debian/changelog ===
postgresql-9.4 (9.4.5-1) unstable; urgency=medium

  * New upstream version.

    + Guard against stack overflows in json parsing (Oskari Saarenmaa)

      If an application constructs PostgreSQL json or jsonb values from
      arbitrary user input, the application's users can reliably crash the
      PostgreSQL server, causing momentary denial of service.  (CVE-2015-5289)

    + Fix contrib/pgcrypto to detect and report too-short crypt() salts
      (Josh Kupershmidt)

      Certain invalid salt arguments crashed the server or disclosed a few
      bytes of server memory.  We have not ruled out the viability of attacks
      that arrange for presence of confidential information in the disclosed
      bytes, but they seem unlikely.  (CVE-2015-5288)

  * debian/rules: Call dh without --parallel, it's not supported upstream.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 06 Oct 2015 11:02:48 +0200

postgresql-9.4 (9.4.4-2) unstable; urgency=medium

  * Add docbook-xml to build-depends.
  * debian/rules: Remove broken "generate POT files for translators" code.
  * Import patch from upstream to fix compatibility with perl 5.22.
    (Closes: #787468)
  * Fix memory read barrier on alpha, thanks to Michael Cree for the patch!
    (Closes: #756368)
  * postgresql postrm: Don't clean {/etc,/var/lib,/var/log}/postgresql on
    purge.  (Closes: #793861)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 28 Aug 2015 16:06:39 +0200
