=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-9.4
 Section: database
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9~),
@@ -27,6 +26,7 @@
  flex,
  openjade,
  docbook-dsssl,
+ docbook-xml,
  docbook-xsl,
  docbook,
  opensp,
@@ -308,3 +308,5 @@
 Package: postgresql-plpython3-9.4
 Architecture: any
 Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ postgresql-9.4 (= ${binary:Version})
