=== debian/rules ===
--- 
+++ 
@@ -98,7 +98,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure: stamp/configure-build stamp/configure-build-py3
 
@@ -133,9 +133,6 @@
 stamp/build: stamp/configure-build
 	cd build && $(MAKE) world
 
-	# generate POT files for translators
-	find -name nls.mk -exec sh -c "make -C \$$(dirname {}) init-po" \;
-
 	# build tutorial stuff
 	make -C build/src/tutorial NO_PGXS=1
 
@@ -200,3 +197,5 @@
 	dh_gencontrol -- -Vmisc:Multi-Arch=same
 endif
 
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
