## postgresql-9.4 9.4.7

=== debian/changelog ===
postgresql-9.4 (9.4.7-0+deb8u1~bpo70+2) wheezy-backports; urgency=low

  * Fix alignment issue in contrib/test_decoding only visible on sparc.
    Thanks to Andres Freund and Tom Lane for patches.
  * Update branch in Vcs-Git field.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Apr 2016 19:21:06 +0200

postgresql-9.4 (9.4.7-0+deb8u1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 11 Apr 2016 11:41:02 +0200

postgresql-9.4 (9.4.7-0+deb8u1) jessie; urgency=medium

  * New upstream bugfix release.
  * Remove obsolete .bzr-builddeb/default.conf.

 -- Christoph Berg <myon@debian.org>  Sat, 02 Apr 2016 13:22:58 +0200

postgresql-9.4 (9.4.6-0+deb8u1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Feb 2016 11:53:30 +0100

postgresql-9.4 (9.4.6-0+deb8u1) jessie-security; urgency=medium

  * New upstream version.
    + Fix infinite loops and buffer-overrun problems in regular expressions.
      Very large character ranges in bracket expressions could cause infinite
      loops in some cases, and memory overwrites in other cases.
      (CVE-2016-0773)
    + Fix privilege escalation issue for users of PL/Java. Certain custom
      configuration settings (GUCs) for PL/Java will now be modifiable only by
      the database superuser. (CVE-2016-0766)
    + Users will need to reindex any jsonb_path_ops indexes they have created,
      in order to fix a persistent issue with missing index entries.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 11 Feb 2016 15:17:44 +0100

postgresql-9.4 (9.4.5-0+deb8u1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 24 Nov 2015 15:46:13 +0100

postgresql-9.4 (9.4.5-0+deb8u1) jessie-security; urgency=medium

  * New upstream security release.

    + Guard against stack overflows in json parsing (Oskari Saarenmaa)

      If an application constructs PostgreSQL json or jsonb values from
      arbitrary user input, the application's users can reliably crash the
      PostgreSQL server, causing momentary denial of service.  (CVE-2015-5289)

    + Fix contrib/pgcrypto to detect and report too-short crypt() salts
      (Josh Kupershmidt)

      Certain invalid salt arguments crashed the server or disclosed a few
      bytes of server memory.  We have not ruled out the viability of attacks
      that arrange for presence of confidential information in the disclosed
      bytes, but they seem unlikely.  (CVE-2015-5288)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Oct 2015 14:24:00 +0200

postgresql-9.4 (9.4.4-0+deb8u1) jessie; urgency=medium

  * New upstream version.
    + Fix possible failure to recover from an inconsistent database state
    + Fix rare failure to invalidate relation cache init file

 -- Christoph Berg <myon@debian.org>  Thu, 11 Jun 2015 20:35:19 +0200

postgresql-9.4 (9.4.3-0+deb8u1) jessie; urgency=medium

  * New upstream version:
    Avoid failures while fsync'ing data directory during crash restart
    (Abhijit Menon-Sen, Tom Lane; Closes: #786874)

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 03 Jun 2015 11:53:43 +0200
