## postgresql-9.4 9.4.8

=== debian/changelog ===
postgresql-9.4 (9.4.8-0ubuntu0.15.10) wily-proposed; urgency=medium

  * New upstream bug fix release. (LP: #1581016)
   - Details: http://www.postgresql.org/docs/9.4/static/release-9-4-8.html

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 May 2016 15:05:45 +0200

postgresql-9.4 (9.4.7-0ubuntu0.15.10) wily-proposed; urgency=medium

  * New upstream bug fix release. (LP: #1564268)
    - See http://www.postgresql.org/about/news/1656/ for details.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 31 Mar 2016 10:21:49 +0200
