=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-9.4
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9~),
@@ -308,5 +309,3 @@
 Package: postgresql-plpython3-9.4
 Architecture: any
 Depends: ${misc:Depends},
- ${shlibs:Depends},
- postgresql-9.4 (= ${binary:Version})
