## postgresql-9.4 9.4.12

=== debian/changelog ===
postgresql-9.4 (9.4.12-0+deb8u1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christoph Berg <myon@debian.org>  Sun, 14 May 2017 18:11:24 +0200

postgresql-9.4 (9.4.12-0+deb8u1) jessie-security; urgency=medium

  * New upstream security release.
    + Restrict visibility of pg_user_mappings.umoptions, to protect passwords
      stored as user mapping options (CVE-2017-7486)
    + Prevent exposure of statistical information via leaky operators
      (CVE-2017-7484)
    + Restore libpq's recognition of the PGREQUIRESSL environment variable
      (CVE-2017-7485)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 09 May 2017 17:00:48 +0200

postgresql-9.4 (9.4.11-0+deb8u2) jessie; urgency=medium

  * Paper over ULP regression test differences in the "point" test on
    32-bit powerpc on Debian Jessie. The very same code worked previously and
    in fact continues to work on Debian Sid, so it doesn't seem to be
    PostgreSQL's fault that these test results now suffer from rounding
    differences.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 20 Feb 2017 16:04:26 +0100

postgresql-9.4 (9.4.11-0+deb8u1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Drop logical/reorderbuffer patch.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 24 Feb 2017 10:06:27 +0100

postgresql-9.4 (9.4.11-0+deb8u1) jessie; urgency=medium

  * New upstream version.

    + Fix a race condition that could cause indexes built with CREATE INDEX
      CONCURRENTLY to be corrupt (Pavan Deolasee, Tom Lane)

      If CREATE INDEX CONCURRENTLY was used to build an index that depends on
      a column not previously indexed, then rows inserted or updated by
      transactions that ran concurrently with the CREATE INDEX command could
      have received incorrect index entries.  If you suspect this may have
      happened, the most reliable solution is to rebuild affected indexes
      after installing this update.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 09 Feb 2017 15:24:57 +0100

postgresql-9.4 (9.4.10-0+deb8u1) jessie; urgency=medium

  * New upstream version.

    If your installation has been affected by the bug described in the first
    changelog entry below, then after updating you may need to take action to
    repair corrupted free space maps.

    + Fix WAL-logging of truncation of relation free space maps and visibility
      maps (Pavan Deolasee, Heikki Linnakangas)

      It was possible for these files to not be correctly restored during
      crash recovery, or to be written incorrectly on a standby server. Bogus
      entries in a free space map could lead to attempts to access pages that
      have been truncated away from the relation itself, typically producing
      errors like could not read block XXX: read only 0 of 8192 bytes.
      Checksum failures in the visibility map are also possible, if
      checksumming is enabled.

      Procedures for determining whether there is a problem and repairing it
      if so are discussed at
      https://wiki.postgresql.org/wiki/Free_Space_Map_Problems.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 16 Nov 2016 15:39:27 +0100

postgresql-9.4 (9.4.9-0+deb8u1) jessie-security; urgency=medium

  * New upstream security release.

    + Fix possible mis-evaluation of nested CASE-WHEN expressions
      (Heikki Linnakangas, Michael Paquier, Tom Lane)

      A CASE expression appearing within the test value subexpression of
      another CASE could become confused about whether its own test value was
      null or not.  Also, inlining of a SQL function implementing the equality
      operator used by a CASE expression could result in passing the wrong
      test value to functions called within a CASE expression in the SQL
      function's body.  If the test values were of different data types, a
      crash might result; moreover such situations could be abused to allow
      disclosure of portions of server memory.  (CVE-2016-5423)

    + Fix client programs' handling of special characters in database and role
      names (Noah Misch, Nathan Bossart, Michael Paquier)

      Numerous places in vacuumdb and other client programs could become
      confused by database and role names containing double quotes or
      backslashes.  Tighten up quoting rules to make that safe. Also, ensure
      that when a conninfo string is used as a database name parameter to
      these programs, it is correctly treated as such throughout.

      Fix handling of paired double quotes in psql's \connect and \password
      commands to match the documentation.

      Introduce a new -reuse-previous option in psql's \connect command to
      allow explicit control of whether to re-use connection parameters from a
      previous connection.  (Without this, the choice is based on whether the
      database name looks like a conninfo string, as before.)  This allows
      secure handling of database names containing special characters in
      pg_dumpall scripts.

      pg_dumpall now refuses to deal with database and role names containing
      carriage returns or newlines, as it seems impractical to quote those
      characters safely on Windows.  In future we may reject such names on the
      server side, but that step has not been taken yet.

      These are considered security fixes because crafted object names
      containing special characters could have been used to execute commands
      with superuser privileges the next time a superuser executes pg_dumpall
      or other routine maintenance operations.  (CVE-2016-5424)

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 10 Aug 2016 13:36:18 +0200

postgresql-9.4 (9.4.8-0+deb8u1) jessie; urgency=medium

  * New upstream bugfix release.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 27 May 2016 14:29:53 +0200
