=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-9.4
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9~),
@@ -27,7 +26,6 @@
  flex,
  openjade,
  docbook-dsssl,
- docbook-xml,
  docbook-xsl,
  docbook,
  opensp,
@@ -35,7 +33,7 @@
  gettext
 Homepage: http://www.postgresql.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/postgresql.git -b 9.4
+Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/postgresql.git -b 9.4-wheezy-backports
 XS-Testsuite: autopkgtest
 
 Package: libpq-dev
@@ -136,7 +134,6 @@
  tzdata,
  ssl-cert,
  locales
-Recommends: postgresql-contrib-9.4
 Suggests: oidentd | ident-server, locales-all
 Description: object-relational SQL database, version 9.4 server
  PostgreSQL is a fully featured object-relational database management
@@ -309,3 +306,6 @@
 Package: postgresql-plpython3-9.4
 Architecture: any
 Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ postgresql-9.4 (= ${binary:Version})
+Provides: postgresql-plpython3
